<?xml version="1.0"?>
<!--
    This file is part of do228

    The do228 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    The do228 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with do228.  If not, see <http://www.gnu.org/licenses/>.

    Dornier DO228 simulation by Benedikt Wolf (D-ECHO)
    Started 06/2020
-->

<!--	Universal EFI-890R simulation
		References:	http://www.uasc.com/home/shop/avionics/efi-890r
				https://www.uasc.com/docs/default-source/documents/brochures/uasc_efi-890r_brochure.pdf?sfvrsn=9e13985c_4
				Dornier 228-212 POH (ref. [1], see do228-212.xml)
				-->
				
<PropertyList>

	<path>dcp.ac</path>
	
	<params>
		<lighting_prop>systems/electrical/lights/instrument-lights[0]</lighting_prop>
	</params>
	
	<!--
	#######################
		Animations	
	####################### -->
	<!--	Lighting	-->
	<animation>
		<type>material</type>
		<object-name>dcp.lit</object-name>
		<object-name>dcp.knob.range_opt.lit</object-name>
		<object-name>dcp.btn.tfc.lit</object-name>
		<object-name>dcp.btn.terr.lit</object-name>
		<object-name>dcp.btn.wx.lit</object-name>
		<object-name>dcp.btn.ext.lit</object-name>
		<emission>
			<red>1</red>
			<green>1</green>
			<blue>1</blue>
			<factor-prop alias="../../../params/lighting_prop"/>
		</emission>
	</animation>
	<animation>
		<object-name>dcp</object-name>
		<object-name>dcp.knob.range_opt</object-name>
		<object-name>dcp.btn.tfc</object-name>
		<object-name>dcp.btn.terr</object-name>
		<object-name>dcp.btn.wx</object-name>
		<object-name>dcp.btn.ext</object-name>
	</animation>
	
	<effect>
		<inherits-from>Effects/model-transparent</inherits-from>
		<object-name>dcp.lit</object-name>
		<object-name>dcp.knob.range_opt.lit</object-name>
		<object-name>dcp.btn.tfc.lit</object-name>
		<object-name>dcp.btn.terr.lit</object-name>
		<object-name>dcp.btn.wx.lit</object-name>
		<object-name>dcp.btn.ext.lit</object-name>
	</effect>

	<animation>
		<type>knob</type>
		<object-name>dcp.knob.range_opt</object-name>
		<action>
			<binding>
				<!-- ref. POH, p.7-292 -->
				<command>property-cycle</command>
				<property>instrumentation/efis[0]/inputs/range-nm</property>
				<value>5</value>
				<value>10</value>
				<value>20</value>
				<value>40</value>
				<value>80</value>
				<value>160</value>
				<value>320</value>
				<value>640</value>
				<wrap>0</wrap>
			</binding>
		</action>
	</animation>
	<animation>
		<type>pick</type>
		<object-name>dcp.knob.range_opt.lit</object-name>
		<action>
			<button>0</button>
			<binding>
				<!-- ref. POH, p.7-169 -->
				<command>property-cycle</command>
				<property>instrumentation/efis[0]/inputs/display-mode</property>
				<value>0</value> <!-- 360 HSI -->
				<value>1</value> <!-- 120 HSI -->
				<value>2</value> <!-- 360 MAP -->
				<value>3</value> <!-- 120 MAP -->
				<wrap>1</wrap>
			</binding>
		</action>
	</animation>
    
</PropertyList>
